<?php
/**
 * Class that operate on table 'costcenter'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2016-03-13 17:56
 */
class CostcenterMySqlExtDAO extends CostcenterMySqlDAO{

	
	public function updatedel($costcenter){
		$sql = 'UPDATE costcenter SET  condation = ? WHERE id = ?';
		$sqlQuery = new SqlQuery($sql);
		
		$sqlQuery->setNumber($costcenter->condation);
		$sqlQuery->setNumber($costcenter->id);
		return $this->executeUpdate($sqlQuery);
	}
    
	
	
	public function queryAllnotdel(){
		$sql = 'SELECT * FROM costcenter where condation = 0 ';
		$sqlQuery = new SqlQuery($sql);
		return $this->getList($sqlQuery);
	}
        
        public function updateExt($costcenter){
		$sql = 'UPDATE costcenter SET name = ? WHERE id = ?';
		$sqlQuery = new SqlQuery($sql);
		
		$sqlQuery->set($costcenter->name);

		$sqlQuery->setNumber($costcenter->id);
		return $this->executeUpdate($sqlQuery);
	}
}
?>